Gentoo Archives: gentoo-commits

From: Patrice Clement <monsieurp@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: app-vim/nerdtree/
Date: Mon, 31 Dec 2018 15:55:52
Message-Id: 1546271734.939b111820448dbf16826300a0749cbb6323a717.monsieurp@gentoo
commit:     939b111820448dbf16826300a0749cbb6323a717
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 31 15:45:53 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon Dec 31 15:55:34 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=939b1118

app-vim/nerdtree: EAPI 6 bump.

Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11
RepoMan-Options: --force

 app-vim/nerdtree/nerdtree-5.0.0-r1.ebuild | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/app-vim/nerdtree/nerdtree-5.0.0-r1.ebuild b/app-vim/nerdtree/nerdtree-5.0.0-r1.ebuild
new file mode 100644
index 00000000000..b07c2abb249
--- /dev/null
+++ b/app-vim/nerdtree/nerdtree-5.0.0-r1.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: A tree explorer plugin for navigating the filesystem"
+HOMEPAGE="https://www.vim.org/scripts/script.php?script_id=1658 https://github.com/scrooloose/nerdtree"
+SRC_URI="https://github.com/scrooloose/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="WTFPL-2"
+KEYWORDS="amd64 x86 ~x64-macos"
+
+VIM_PLUGIN_HELPFILES="NERD_tree"
+
+src_prepare() {
+	default
+	rm LICENCE || die
+}